=== modified file 'bzrlib/mail_client.py'
--- bzrlib/mail_client.py	2012-01-27 21:28:56 +0000
+++ bzrlib/mail_client.py	2012-02-01 19:55:27 +0000
@@ -638,4 +638,4 @@
 mail_client_registry.default_key = 'default'
 
 opt_mail_client = _mod_config.RegistryOption('mail_client',
-    mail_client_registry, help='E-mail client to use.')
+        mail_client_registry, help='E-mail client to use.', invalid='error')

=== modified file 'bzrlib/tests/blackbox/test_send.py'
--- bzrlib/tests/blackbox/test_send.py	2012-02-01 19:18:09 +0000
+++ bzrlib/tests/blackbox/test_send.py	2012-02-01 19:55:27 +0000
@@ -199,10 +199,10 @@
             ), 'send -f branch')
         b.get_config_stack().set('mail_client', 'bogus')
         self.run_send([])
-        self.run_bzr_error(('Unknown mail client: bogus',),
+        self.run_bzr_error(('Bad value "bogus" for option "mail_client"',),
                            'send -f branch --mail-to jrandom@example.org')
         b.get_config_stack().set('submit_to', 'jrandom@example.org')
-        self.run_bzr_error(('Unknown mail client: bogus',),
+        self.run_bzr_error(('Bad value "bogus" for option "mail_client"',),
                            'send -f branch')
 
     def test_mailto_child_option(self):
@@ -211,7 +211,8 @@
         b.get_config_stack().set('mail_client', 'bogus')
         parent = branch.Branch.open('parent')
         parent.get_config_stack().set('child_submit_to', 'somebody@example.org')
-        self.run_bzr_error(('Unknown mail client: bogus',), 'send -f branch')
+        self.run_bzr_error(('Bad value "bogus" for option "mail_client"',),
+                'send -f branch')
 
     def test_format(self):
         md = self.get_MD(['--format=4'])

